stages:
  - package-publish

helm-package:
  stage: package-publish
  image:
    name: alpine/helm
    entrypoint: ['']
  variables:
    CHART: auto-deploy-app
  before_script:
    - apk add git
    - helm plugin install https://github.com/chartmuseum/helm-push.git
    - >
      helm repo add ${CHART}
      --username ${CI_REGISTRY_USER}
      --password ${CI_REGISTRY_PASSWORD}
      ${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/helm/stable
  script:
    - helm package ${CHART}
    - helm cm-push ${CHART}*.tgz ${CHART}
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
